目前大多数朋友都使用FF、Chrome、Safari等浏览器。本站已经多次推荐用户使用该三大主流去浏览网页。虽然本站样式也能很好地支持IE浏览器,但IE8以下终究逃不掉被淘汰的命运。下面介绍的是最简单的不兼容IE浏览器的升级提示。
browsehappy
这个提示仅出现在IE浏览下整个页面的顶部。我们只需要将下面的代码加入到header.php里面body标签之前即可。以所有IE对象为例,要有针对性地提示可以参考本站这篇文章:【浏览器兼容:条件注释判断浏览器】

html结构
<!--[if IE]>
<div class="browseupgrade">当前网页 <strong>不支持</strong> 您正在使用的浏览器。为了体验更好的访问效果, 请 <a href="http://browsehappy.com/" target="_blank">升级你的浏览器</a>.</div>
<![endif]-->
css
.browseupgrade{padding:8px 0;background:#FBE3E4;color:#8A1F11;text-align:center}
.browseupgrade a{color:#8A1F11;text-decoration:underline;font-weight:bold}